RDKit: ForceFields::MMFF::TorsionConstraintContrib Class Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ForceFields::MMFF::TorsionConstraintContrib Class Reference

A dihedral angle range constraint modelled after a TorsionContrib. More...

`#include <TorsionConstraint.h>`

Inheritance diagram for ForceFields::MMFF::TorsionConstraintContrib:

## Public Member Functions
| TorsionConstraintContrib ()
| TorsionConstraintContrib (ForceField *owner, unsigned int idx1, unsigned int idx2, unsigned int idx3, unsigned int idx4, double minDihedralDeg, double maxDihedralDeg, double forceConst)
| Constructor. More...
| TorsionConstraintContrib (ForceField *owner, unsigned int idx1, unsigned int idx2, unsigned int idx3, unsigned int idx4, bool relative, double minDihedralDeg, double maxDihedralDeg, double forceConst)
| ~TorsionConstraintContrib ()
double | getEnergy (double *pos) const
| returns our contribution to the energy of a position More...
void | getGrad (double *pos, double *grad) const
| calculates our contribution to the gradients of a position More...
virtual TorsionConstraintContrib * | copy () const
| return a copy More...
Public Member Functions inherited from ForceFields::ForceFieldContrib
| ForceFieldContrib ()
| ForceFieldContrib (ForceFields::ForceField *owner)
virtual | ~ForceFieldContrib ()

## Additional Inherited Members
Protected Attributes inherited from ForceFields::ForceFieldContrib
ForceField * | dp_forceField
| our owning ForceField More...

## Detailed Description

A dihedral angle range constraint modelled after a TorsionContrib.

Definition at line 21 of file MMFF/TorsionConstraint.h.

## Constructor & Destructor Documentation

ForceFields::MMFF::TorsionConstraintContrib::TorsionConstraintContrib | ( |  | ) |
| inline

Definition at line 23 of file MMFF/TorsionConstraint.h.

Referenced by copy().

ForceFields::MMFF::TorsionConstraintContrib::TorsionConstraintContrib | ( | ForceField * | owner,
|  | unsigned int | idx1,
|  | unsigned int | idx2,
|  | unsigned int | idx3,
|  | unsigned int | idx4,
|  | double | minDihedralDeg,
|  | double | maxDihedralDeg,
|  | double | forceConst
| ) |  |

Constructor.

Parameters

  owner | pointer to the owning ForceField
  idx1 | index of atom1 in the ForceField's positions
  idx2 | index of atom2 in the ForceField's positions
  idx3 | index of atom3 in the ForceField's positions
  idx4 | index of atom4 in the ForceField's positions
  minDihedralDeg | minimum dihedral angle
  maxDihedralDeg | maximum dihedral angle
  forceConst | force Constant

ForceFields::MMFF::TorsionConstraintContrib::TorsionConstraintContrib | ( | ForceField * | owner,
|  | unsigned int | idx1,
|  | unsigned int | idx2,
|  | unsigned int | idx3,
|  | unsigned int | idx4,
|  | bool | relative,
|  | double | minDihedralDeg,
|  | double | maxDihedralDeg,
|  | double | forceConst
| ) |  |

ForceFields::MMFF::TorsionConstraintContrib::~TorsionConstraintContrib | ( |  | ) |
| inline

Definition at line 47 of file MMFF/TorsionConstraint.h.

## Member Function Documentation

virtual TorsionConstraintContrib* ForceFields::MMFF::TorsionConstraintContrib::copy | ( |  | ) | const
| inlinevirtual

return a copy

Implements ForceFields::ForceFieldContrib.

Definition at line 51 of file MMFF/TorsionConstraint.h.

References TorsionConstraintContrib().

double ForceFields::MMFF::TorsionConstraintContrib::getEnergy | ( | double * | pos | ) | const
| virtual

returns our contribution to the energy of a position

Implements ForceFields::ForceFieldContrib.

void ForceFields::MMFF::TorsionConstraintContrib::getGrad | ( | double * | pos,
|  | double * | grad
| ) |  | const
| virtual

calculates our contribution to the gradients of a position

Implements ForceFields::ForceFieldContrib.

The documentation for this class was generated from the following file:

- MMFF/TorsionConstraint.h